Bug 1262715 - Kopete ships skypebuttons browser plugin that crashes Qt5WebKit - [abrt] qt5-qtwebkit: _GLOBAL__sub_I_qprinterinfo.cpp(): QtWebPluginProcess killed by SIGSEGV
Kopete ships skypebuttons browser plugin that crashes Qt5WebKit - [abrt] qt5-...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kopete (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:02750aff4b20974618616b93559...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 03:48 EDT by Allan Poulsen
Modified: 2016-01-07 22:28 EST (History)
7 users (show)

See Also:
Fixed In Version: kopete-15.08.3-1.fc23 kopete-15.08.3-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-02 17:21:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.78 KB, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: cgroup (284 bytes, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: core_backtrace (5.63 KB, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: dso_list (19.36 KB, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: environ (2.27 KB, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: maps (84.64 KB, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: mountinfo (3.98 KB, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: open_fds (874 bytes, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-09-14 03:48 EDT, Allan Poulsen
no flags Details

  None (edit)
Description Allan Poulsen 2015-09-14 03:48:04 EDT
Version-Release number of selected component:
qt5-qtwebkit-5.5.0-4.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/lib64/qt5/libexec/QtWebPluginProcess -scanPlugin /usr/lib64/mozilla/plugins/skypebuttons.so
crash_function: _GLOBAL__sub_I_qprinterinfo.cpp
executable:     /usr/lib64/qt5/libexec/QtWebPluginProcess
global_pid:     4434
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _GLOBAL__sub_I_qprinterinfo.cpp at /lib64/libQtGui.so.4
 #1 call_init at dl-init.c:72
 #2 _dl_init at dl-init.c:30
 #4 dl_open_worker at dl-open.c:568
 #5 _dl_catch_error at dl-error.c:187
 #6 _dl_open at dl-open.c:652
 #7 dlopen_doit at dlopen.c:66
 #8 _dl_catch_error at dl-error.c:187
 #9 _dlerror_run at dlerror.c:163
 #10 __dlopen at dlopen.c:87
Comment 1 Allan Poulsen 2015-09-14 03:48:08 EDT
Created attachment 1073105 [details]
File: backtrace
Comment 2 Allan Poulsen 2015-09-14 03:48:09 EDT
Created attachment 1073106 [details]
File: cgroup
Comment 3 Allan Poulsen 2015-09-14 03:48:10 EDT
Created attachment 1073107 [details]
File: core_backtrace
Comment 4 Allan Poulsen 2015-09-14 03:48:12 EDT
Created attachment 1073108 [details]
File: dso_list
Comment 5 Allan Poulsen 2015-09-14 03:48:13 EDT
Created attachment 1073109 [details]
File: environ
Comment 6 Allan Poulsen 2015-09-14 03:48:14 EDT
Created attachment 1073110 [details]
File: limits
Comment 7 Allan Poulsen 2015-09-14 03:48:16 EDT
Created attachment 1073111 [details]
File: maps
Comment 8 Allan Poulsen 2015-09-14 03:48:17 EDT
Created attachment 1073112 [details]
File: mountinfo
Comment 9 Allan Poulsen 2015-09-14 03:48:19 EDT
Created attachment 1073113 [details]
File: namespaces
Comment 10 Allan Poulsen 2015-09-14 03:48:20 EDT
Created attachment 1073114 [details]
File: open_fds
Comment 11 Allan Poulsen 2015-09-14 03:48:21 EDT
Created attachment 1073115 [details]
File: proc_pid_status
Comment 12 Allan Poulsen 2015-09-14 03:48:22 EDT
Created attachment 1073116 [details]
File: var_log_messages
Comment 13 Rex Dieter 2015-09-14 06:28:56 EDT
Looks like a Qt4/Qt5 mixture in the same process, when trying to parse /usr/lib64/mozilla/plugins/skypebuttons.so (from kopete?)
Comment 14 Kevin Kofler 2015-09-14 06:52:18 EDT
Yes, this comes from Kopete. IMHO, we need to remove this plugin. (It is only useful together with proprietary software anyway.)
Comment 15 Rex Dieter 2015-09-14 07:02:57 EDT
Dropped off my radar, here's an old (eol'd) bug on the same issue, bug #1224172

One idea I had back then was 

1.  some sort of plugin blacklist

comment #14 suggests:

2.  omit skypebuttons plugin

another option I can think of:

3.  package skypebuttons plugin separately (possibly with Conflicts: qt5-qtwebkit), to allow users you *really* want it to have it available


I'm of a mind to agree with option 2 at the moment.
Comment 16 Fedora Update System 2015-12-22 09:04:58 EST
kopete-15.08.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a29705b427
Comment 17 Fedora Update System 2015-12-22 09:05:28 EST
kopete-15.08.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-23d5ef1e24
Comment 18 Rex Dieter 2015-12-22 09:06:16 EST
fyi, changelog about this:

* Mon Nov 02 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.08.2-1
...
- WITH_skype=OFF, could consider -skype subpkg too (#1262715)
Comment 19 Fedora Update System 2015-12-22 19:10:01 EST
kopete-15.08.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a29705b427
Comment 20 Fedora Update System 2015-12-26 18:51:54 EST
kopete-15.08.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-23d5ef1e24
Comment 21 Fedora Update System 2016-01-02 17:20:56 EST
kopete-15.08.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-01-07 22:28:00 EST
kopete-15.08.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.